curl --request GET \
--url https://app.leadconduit.com/reports/{id}/run \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/reports/{id}/run"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/reports/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"description": "<string>",
"columns": [
{
"source-submitted": 123,
"source-success": 123,
"source-failure": 123,
"source-error": 123,
"recipient-submitted": 123,
"recipient-success": 123,
"recipient-failure": 123,
"recipient-error": 123,
"return-received-submitted": 123,
"return-received-success": 123,
"return-received-failure": 123,
"return-received-error": 123,
"return-sent-submitted": 123,
"return-sent-success": 123,
"return-sent-failure": 123,
"return-sent-error": 123,
"conversion-received-submitted": 123,
"conversion-received-success": 123,
"conversion-received-failure": 123,
"conversion-received-error": 123,
"conversion-sent-submitted": 123,
"conversion-sent-success": 123,
"conversion-sent-failure": 123,
"conversion-sent-error": 123,
"ping-submitted": 123,
"ping-success": 123,
"ping-success-rate": 123,
"ping-win-rate": 123,
"cost": 123,
"revenue": 123,
"profit": 123,
"cost-per-conversion-received-success": 123,
"avg-cost-per-lead": 123,
"avg-revenue-per-lead": 123
}
],
"rules": [
{
"lhv": "<string>",
"op": "is equal to",
"rhv": "<string>"
}
],
"group_by": [
"<string>"
],
"token": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Run a report
Run a report that was previously created. The parameter can be an id or token. The time range is provided as query parameters.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
ID or token of the report to run 24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
Query Parameters
limit events counted in report to those recorded at or after this time
limit events counted in report to those recorded at or before this time
Response
OK
Required name of the report. Must be unique within the account: creating or renaming a report onto a name another report already uses is rejected with HTTP 422. Leading and trailing whitespace is stripped before the name is stored.
optional extra description
Array of report columns
Show child attributes
Show child attributes
rules to match events to include
Show child attributes
Show child attributes
group results by these event properties
identifier used for sharing
Time report was created
Time report was last updated